
QGIS Application - Bug report #10342

major regression: impossible to edit column value via the attribute table cells

2014-05-24 11:55 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Attribute table

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18763

Description

Steps to reproduce:

1. Open the attached project

2. Switch the layer's edit mode on

3. Open the Attribute Table window (right click on layer -> Open Attribute Table)

4. Select one of the two cells for the NAME column, and edit its content by typing random characters

5. When you hit enter, or left click outside of the cell, the cell reverts to the old value.

Very recent regression. Assigning to Nathan as I have a feeling it might be related to the cool feature he just committed.

History

#1 - 2014-05-24 11:57 PM - Nathan Woodrow

I don't think so but I will have a look tonight.

#2 - 2014-05-24 11:58 PM - Mathieu Pellerin - nIRV

Doh! Sorry for my (wrong) assumption :)

#3 - 2014-05-25 12:24 AM - Jürgen Fischer

- Assignee deleted (Nathan Woodrow)

#4 - 2014-05-25 10:01 AM - Matthias Kuhn

- Resolution set to fixed/implemented

- Status changed from Open to Closed

commit:2700bcd fixes actually this bug and not the one noted in the commit message.

Writing git commit messages offline leaves a bit of room for number guessing ;)

Files

attribute_table_input_broken.zip 5.06 KB 2014-05-24 Mathieu Pellerin - nIRV
